## woff-tools 2009.10.04

=== Makefile ===
all: sfnt2woff woff2sfnt

sfnt2woff: sfnt2woff.o woff.o woff.h Makefile
	$(CC) $(LDFLAGS) -o $@ $< woff.o -lz

woff2sfnt: woff2sfnt.o woff.o woff.h Makefile
	$(CC) $(LDFLAGS) -o $@ $< woff.o -lz

sfnt2woff.o: sfnt2woff.c woff.h Makefile

woff2sfnt.o: woff2sfnt.c woff.h Makefile

woff.o: woff.c woff.h woff-private.h Makefile

clean:
	$(RM) -r *.o *.dSYM

=== debian/changelog ===
woff-tools (0:2009.10.04-2) unstable; urgency=medium

  * Promote pkg-fonts team as maintainer, drop Dmitry from uploaders and
    add myself to uploaders.
  * Declare compliance with Debian Policy 3.9.6.

 -- Vasudev Kamath <vasudev@copyninja.info>  Tue, 06 Oct 2015 09:32:39 +0530

woff-tools (0:2009.10.04-1) unstable; urgency=low

  * Initial release (closes: #703996).
  * debian/patches/CVE-2010-1028.patch: backport a patch from
    mozilla-central to fix WOFF heap corruption due to integer overflow.
  * debian/patches/add-overflow-checks.patch: backport a patch from
    mozilla-central that adds arithmetic overflow checks.
  * debian/patches/fix-compiler-and-cppcheck-warnings.patch: add a patch
    to fix some compiler and cppcheck warnings.

 -- Dmitry Shachnev <mitya57@gmail.com>  Thu, 16 May 2013 19:13:17 +0400

=== debian/control ===
Source: woff-tools
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Vasudev Kamath <vasudev@copyninja.info>
Build-Depends: debhelper (>= 9), zlib1g-dev
Standards-Version: 3.9.6
Homepage: https://people.mozilla.com/~jkew/woff/
Vcs-Git: git://anonscm.debian.org/pkg-fonts/woff-tools.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fonts/woff-tools.git

Package: woff-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tools to convert between OpenType and WOFF formats
 This package provides two tools:
  * sfnt2woff: convert OpenType fonts to WOFF fonts,
  * woff2sfnt: convert WOFF fonts to OpenType fonts.

=== debian/rules ===
#!/usr/bin/make -f

PARENT_DIRECTORY = $(dir $(firstword $(MAKEFILE_LIST)))/..
DEB_VERSION = $(word 2,$(shell cd $(PARENT_DIRECTORY) && dpkg-parsechangelog | grep ^Version:))
UPSTREAM_VERSION = $(word 2,$(subst -, ,$(subst :, ,$(DEB_VERSION))))

export DEB_CFLAGS_MAINT_APPEND = -Wall -Wextra -pedantic

%:
	dh $@

get-orig-source:
	cd $(PARENT_DIRECTORY) && \
	wget https://people.mozilla.com/~jkew/woff/woff-code-latest.zip && \
	./debian/create-tarball.sh $(UPSTREAM_VERSION)

## woff-tools 2009.10.04-2

=== debian/changelog ===
woff-tools (0:2009.10.04-2-deepin1) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 24 Nov 2022 07:21:44 +0800
